ComplexType (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface ComplexType

- All Superinterfaces:
    Annotated, OpenAttrs, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    LocalComplexType, TopLevelComplexType
  All Known Implementing Classes:
    ComplexTypeImpl, LocalComplexTypeImpl, TopLevelComplexTypeImpl

      public interface ComplexType
      extends Annotated

  An XML complexType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AbstractDocumentFactory<ComplexType>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty "all" element
    `Wildcard` | `addNewAnyAttribute()` Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty "choice" element
    `ComplexContentDocument.ComplexContent` | `addNewComplexContent()` Appends and returns a new empty "complexContent" element
    `GroupRef` | `addNewGroup()` Appends and returns a new empty "group" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty "sequence" element
    `SimpleContentDocument.SimpleContent` | `addNewSimpleContent()` Appends and returns a new empty "simpleContent" element
    `boolean` | `getAbstract()` Gets the "abstract" attribute
    `All` | `getAll()` Gets the "all" element
    `Wildcard` | `getAnyAttribute()` Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray(int i)` Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray(int i)` Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` Gets a List of "attribute" elements
    `Object` | `getBlock()` Gets the "block" attribute
    `ExplicitGroup` | `getChoice()` Gets the "choice" element
    `ComplexContentDocument.ComplexContent` | `getComplexContent()` Gets the "complexContent" element
    `Object` | `getFinal()` Gets the "final" attribute
    `GroupRef` | `getGroup()` Gets the "group" element
    `boolean` | `getMixed()` Gets the "mixed" attribute
    `String` | `getName()` Gets the "name" attribute
    `ExplicitGroup` | `getSequence()` Gets the "sequence" element
    `SimpleContentDocument.SimpleContent` | `getSimpleContent()` Gets the "simpleContent" element
    `Attribute` | `insertNewAttribute(int i)` Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup(int i)` Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `boolean` | `isSetAbstract()` True if has "abstract" attribute
    `boolean` | `isSetAll()` True if has "all" element
    `boolean` | `isSetAnyAttribute()` True if has "anyAttribute" element
    `boolean` | `isSetBlock()` True if has "block" attribute
    `boolean` | `isSetChoice()` True if has "choice" element
    `boolean` | `isSetComplexContent()` True if has "complexContent" element
    `boolean` | `isSetFinal()` True if has "final" attribute
    `boolean` | `isSetGroup()` True if has "group" element
    `boolean` | `isSetMixed()` True if has "mixed" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `boolean` | `isSetSequence()` True if has "sequence" element
    `boolean` | `isSetSimpleContent()` True if has "simpleContent" element
    `void` | `removeAttribute(int i)` Removes the ith "attribute" element
    `void` | `removeAttributeGroup(int i)` Removes the ith "attributeGroup" element
    `void` | `setAbstract(boolean xabstract)` Sets the "abstract" attribute
    `void` | `setAll(All all)` Sets the "all" element
    `void` | `setAnyAttribute(Wildcard anyAttribute)` Sets the "anyAttribute" element
    `void` | `setAttributeArray(Attribute[] attributeArray)` Sets array of all "attribute" element
    `void` | `setAttributeArray(int i, Attribute attribute)` Sets ith "attribute" element
    `void` | `setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)` Sets array of all "attributeGroup" element
    `void` | `setAttributeGroupArray(int i, AttributeGroupRef attributeGroup)` Sets ith "attributeGroup" element
    `void` | `setBlock(Object block)` Sets the "block" attribute
    `void` | `setChoice(ExplicitGroup choice)` Sets the "choice" element
    `void` | `setComplexContent(ComplexContentDocument.ComplexContent complexContent)` Sets the "complexContent" element
    `void` | `setFinal(Object xfinal)` Sets the "final" attribute
    `void` | `setGroup(GroupRef group)` Sets the "group" element
    `void` | `setMixed(boolean mixed)` Sets the "mixed" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `setSequence(ExplicitGroup sequence)` Sets the "sequence" element
    `void` | `setSimpleContent(SimpleContentDocument.SimpleContent simpleContent)` Sets the "simpleContent" element
    `int` | `sizeOfAttributeArray()` Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` Returns number of "attributeGroup" element
    `void` | `unsetAbstract()` Unsets the "abstract" attribute
    `void` | `unsetAll()` Unsets the "all" element
    `void` | `unsetAnyAttribute()` Unsets the "anyAttribute" element
    `void` | `unsetBlock()` Unsets the "block" attribute
    `void` | `unsetChoice()` Unsets the "choice" element
    `void` | `unsetComplexContent()` Unsets the "complexContent" element
    `void` | `unsetFinal()` Unsets the "final" attribute
    `void` | `unsetGroup()` Unsets the "group" element
    `void` | `unsetMixed()` Unsets the "mixed" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `void` | `unsetSequence()` Unsets the "sequence" element
    `void` | `unsetSimpleContent()` Unsets the "simpleContent" element
    `XmlBoolean` | `xgetAbstract()` Gets (as xml) the "abstract" attribute
    `DerivationSet` | `xgetBlock()` Gets (as xml) the "block" attribute
    `DerivationSet` | `xgetFinal()` Gets (as xml) the "final" attribute
    `XmlBoolean` | `xgetMixed()` Gets (as xml) the "mixed" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetAbstract(XmlBoolean xabstract)` Sets (as xml) the "abstract" attribute
    `void` | `xsetBlock(DerivationSet block)` Sets (as xml) the "block" attribute
    `void` | `xsetFinal(DerivationSet xfinal)` Sets (as xml) the "final" attribute
    `void` | `xsetMixed(XmlBoolean mixed)` Sets (as xml) the "mixed" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final AbstractDocumentFactory<ComplexType> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSimpleContent

          SimpleContentDocument.SimpleContent getSimpleContent()

      Gets the "simpleContent" element

    - #### isSetSimpleContent

          boolean isSetSimpleContent()

      True if has "simpleContent" element

    - #### setSimpleContent

          void setSimpleContent(SimpleContentDocument.SimpleContent simpleContent)

      Sets the "simpleContent" element

    - #### addNewSimpleContent

          SimpleContentDocument.SimpleContent addNewSimpleContent()

      Appends and returns a new empty "simpleContent" element

    - #### unsetSimpleContent

          void unsetSimpleContent()

      Unsets the "simpleContent" element

    - #### getComplexContent

          ComplexContentDocument.ComplexContent getComplexContent()

      Gets the "complexContent" element

    - #### isSetComplexContent

          boolean isSetComplexContent()

      True if has "complexContent" element

    - #### setComplexContent

          void setComplexContent(ComplexContentDocument.ComplexContent complexContent)

      Sets the "complexContent" element

    - #### addNewComplexContent

          ComplexContentDocument.ComplexContent addNewComplexContent()

      Appends and returns a new empty "complexContent" element

    - #### unsetComplexContent

          void unsetComplexContent()

      Unsets the "complexContent" element

    - #### getGroup

          GroupRef getGroup()

      Gets the "group" element

    - #### isSetGroup

          boolean isSetGroup()

      True if has "group" element

    - #### setGroup

          void setGroup(GroupRef group)

      Sets the "group" element

    - #### addNewGroup

          GroupRef addNewGroup()

      Appends and returns a new empty "group" element

    - #### unsetGroup

          void unsetGroup()

      Unsets the "group" element

    - #### getAll

          All getAll()

      Gets the "all" element

    - #### isSetAll

          boolean isSetAll()

      True if has "all" element

    - #### setAll

          void setAll(All all)

      Sets the "all" element

    - #### addNewAll

          All addNewAll()

      Appends and returns a new empty "all" element

    - #### unsetAll

          void unsetAll()

      Unsets the "all" element

    - #### getChoice

          ExplicitGroup getChoice()

      Gets the "choice" element

    - #### isSetChoice

          boolean isSetChoice()

      True if has "choice" element

    - #### setChoice

          void setChoice(ExplicitGroup choice)

      Sets the "choice" element

    - #### addNewChoice

          ExplicitGroup addNewChoice()

      Appends and returns a new empty "choice" element

    - #### unsetChoice

          void unsetChoice()

      Unsets the "choice" element

    - #### getSequence

          ExplicitGroup getSequence()

      Gets the "sequence" element

    - #### isSetSequence

          boolean isSetSequence()

      True if has "sequence" element

    - #### setSequence

          void setSequence(ExplicitGroup sequence)

      Sets the "sequence" element

    - #### addNewSequence

          ExplicitGroup addNewSequence()

      Appends and returns a new empty "sequence" element

    - #### unsetSequence

          void unsetSequence()

      Unsets the "sequence" element

    - #### getAttributeList

          List<Attribute> getAttributeList()

      Gets a List of "attribute" elements

    - #### getAttributeArray

          Attribute[] getAttributeArray()

      Gets array of all "attribute" elements

    - #### getAttributeArray

          Attribute getAttributeArray(int i)

      Gets ith "attribute" element

    - #### sizeOfAttributeArray

          int sizeOfAttributeArray()

      Returns number of "attribute" element

    - #### setAttributeArray

          void setAttributeArray(Attribute[] attributeArray)

      Sets array of all "attribute" element

    - #### setAttributeArray

          void setAttributeArray(int i,
                                 Attribute attribute)

      Sets ith "attribute" element

    - #### insertNewAttribute

          Attribute insertNewAttribute(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element

    - #### addNewAttribute

          Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element

    - #### removeAttribute

          void removeAttribute(int i)

      Removes the ith "attribute" element

    - #### getAttributeGroupList

          List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements

    - #### getAttributeGroupArray

          AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements

    - #### getAttributeGroupArray

          AttributeGroupRef getAttributeGroupArray(int i)

      Gets ith "attributeGroup" element

    - #### sizeOfAttributeGroupArray

          int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray(int i,
                                      AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element

    - #### insertNewAttributeGroup

          AttributeGroupRef insertNewAttributeGroup(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element

    - #### addNewAttributeGroup

          AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element

    - #### removeAttributeGroup

          void removeAttributeGroup(int i)

      Removes the ith "attributeGroup" element

    - #### getAnyAttribute

          Wildcard getAnyAttribute()

      Gets the "anyAttribute" element

    - #### isSetAnyAttribute

          boolean isSetAnyAttribute()

      True if has "anyAttribute" element

    - #### setAnyAttribute

          void setAnyAttribute(Wildcard anyAttribute)

      Sets the "anyAttribute" element

    - #### addNewAnyAttribute

          Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element

    - #### unsetAnyAttribute

          void unsetAnyAttribute()

      Unsets the "anyAttribute" element

    - #### getName

          String getName()

      Gets the "name" attribute

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName(String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getMixed

          boolean getMixed()

      Gets the "mixed" attribute

    - #### xgetMixed

          XmlBoolean xgetMixed()

      Gets (as xml) the "mixed" attribute

    - #### isSetMixed

          boolean isSetMixed()

      True if has "mixed" attribute

    - #### setMixed

          void setMixed(boolean mixed)

      Sets the "mixed" attribute

    - #### xsetMixed

          void xsetMixed(XmlBoolean mixed)

      Sets (as xml) the "mixed" attribute

    - #### unsetMixed

          void unsetMixed()

      Unsets the "mixed" attribute

    - #### getAbstract

          boolean getAbstract()

      Gets the "abstract" attribute

    - #### xgetAbstract

          XmlBoolean xgetAbstract()

      Gets (as xml) the "abstract" attribute

    - #### isSetAbstract

          boolean isSetAbstract()

      True if has "abstract" attribute

    - #### setAbstract

          void setAbstract(boolean xabstract)

      Sets the "abstract" attribute

    - #### xsetAbstract

          void xsetAbstract(XmlBoolean xabstract)

      Sets (as xml) the "abstract" attribute

    - #### unsetAbstract

          void unsetAbstract()

      Unsets the "abstract" attribute

    - #### getFinal

          Object getFinal()

      Gets the "final" attribute

    - #### xgetFinal

          DerivationSet xgetFinal()

      Gets (as xml) the "final" attribute

    - #### isSetFinal

          boolean isSetFinal()

      True if has "final" attribute

    - #### setFinal

          void setFinal(Object xfinal)

      Sets the "final" attribute

    - #### xsetFinal

          void xsetFinal(DerivationSet xfinal)

      Sets (as xml) the "final" attribute

    - #### unsetFinal

          void unsetFinal()

      Unsets the "final" attribute

    - #### getBlock

          Object getBlock()

      Gets the "block" attribute

    - #### xgetBlock

          DerivationSet xgetBlock()

      Gets (as xml) the "block" attribute

    - #### isSetBlock

          boolean isSetBlock()

      True if has "block" attribute

    - #### setBlock

          void setBlock(Object block)

      Sets the "block" attribute

    - #### xsetBlock

          void xsetBlock(DerivationSet block)

      Sets (as xml) the "block" attribute

    - #### unsetBlock

          void unsetBlock()

      Unsets the "block" attribute